Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509932 - Sync Status progress bar does not work
Summary: Sync Status progress bar does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Roman Plevka
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1513276 1523686 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 11:27 UTC by Roman Plevka
Modified: 2019-04-01 20:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:40:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 21711 None None None 2017-11-21 02:02:26 UTC

Description Roman Plevka 2017-11-06 11:27:11 UTC
Description of problem:
regression since 6.3.0 Snap 21

Apparently, the query for the sync status now needs to send a Context parameter.
Right now, the server returns a redirect to "select_organization" page in the background, leaving the 'sync pstatus' progress bar without any data:

request url: GET https://sat6.com/katello/sync_management/sync_status?repoids[]=7&_=1509966958854
response: 302 Found

location: https://sat6.com/select_organization?toState=/katello/sync_management/sync_status

This obviously never ends and staying on the page leads to an infinite task polling.


How reproducible:


Steps to Reproduce:
1. create any repo
2. navigate to sync status
3. expand the created repo and hit sync
4. monitor the progress and outbound traffic

Actual results:
the sync status GET requests are being redirected to 'select_organization' page,  sync status progress bar not updated, page infinitely polling for the sync status.

Expected results:
sync status retrieved correctly, feeding progress bar with correct data, finishing when sync complete

Comment 3 Tomer Brisker 2017-11-15 07:45:29 UTC
*** Bug 1513276 has been marked as a duplicate of this bug. ***

Comment 4 Brad Buckingham 2017-11-17 16:27:38 UTC
*** Bug 1514425 has been marked as a duplicate of this bug. ***

Comment 5 Walden Raines 2017-11-21 01:04:38 UTC
Created redmine issue http://projects.theforeman.org/issues/21711 from this bug

Comment 6 pm-sat@redhat.com 2017-11-22 15:20:03 UTC
Upstream bug assigned to walden@redhat.com

Comment 7 Walden Raines 2017-11-30 16:35:22 UTC
PR: https://github.com/Katello/katello/pull/7096

Comment 8 pm-sat@redhat.com 2017-11-30 21:18:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21711 has been resolved.

Comment 9 Patrick Creech 2017-12-04 19:51:23 UTC
Walden,

This didn't cherry-pick cleanly, and I'm not that familiar with the codebase.  Could you do the pick for me?

Thanks,
Patrick

Comment 11 Brad Buckingham 2017-12-11 11:55:39 UTC
*** Bug 1523686 has been marked as a duplicate of this bug. ***

Comment 12 Roman Plevka 2017-12-14 08:55:44 UTC
VERIFIED
on sat6.3.0-28

there's an organization_id parameter passed to the sync_status request and the request  is being replied to by status 200

https://<fqdn>/katello/sync_management/sync_status?repoids[]=1&repoids[]=2&organization_id=1&_=1513241572752

the status bar works and is being updated

Comment 13 Bryan Kearney 2018-02-21 16:38:57 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 14 Bryan Kearney 2018-02-21 16:40:20 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Comment 15 pm-sat@redhat.com 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.